## helma.objectmodel
Interface IProperty

All Known Implementing Classes:
  Property, Property

    public interface IProperty

Interface that is implemented by node properties.

Field Summary
`static int` `BOOLEAN`
`static int` `DATE`
`static int` `FLOAT`
`static int` `INTEGER`
`static int` `JAVAOBJECT`
`static int` `NODE`
`static int` `STRING`

Method Summary
`boolean` `getBooleanValue()`
`java.util.Date` `getDateValue()`
`double` `getFloatValue()`
`long` `getIntegerValue()`
`java.lang.Object` `getJavaObjectValue()`
`java.lang.String` `getName()`
`INode` `getNodeValue()`
`java.lang.String` `getStringValue()`
`int` `getType()`
`java.lang.Object` `getValue()`

Field Detail

### STRING

    static final int STRING

See Also:
  Constant Field Values

### BOOLEAN

    static final int BOOLEAN

See Also:
  Constant Field Values

### DATE

    static final int DATE

See Also:
  Constant Field Values

### INTEGER

    static final int INTEGER

See Also:
  Constant Field Values

### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

### NODE

    static final int NODE

See Also:
  Constant Field Values

### JAVAOBJECT

    static final int JAVAOBJECT

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns:
    ...

### getType

    int getType()

  Returns:
    ...

### getValue

    java.lang.Object getValue()

  Returns:
    ...

### getNodeValue

    INode getNodeValue()

  Returns:
    ...

### getStringValue

    java.lang.String getStringValue()

  Returns:
    ...

### getBooleanValue

    boolean getBooleanValue()

  Returns:
    ...

### getIntegerValue

    long getIntegerValue()

  Returns:
    ...

### getFloatValue

    double getFloatValue()

  Returns:
    ...

### getDateValue

    java.util.Date getDateValue()

  Returns:
    ...

### getJavaObjectValue

    java.lang.Object getJavaObjectValue()

  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.